# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::GLSLVertexShader Class Reference

Wraps a GLSL vertex shader to be bound to a GLSL program. More...

`#include <GLSL.hpp>`

Inheritance diagram for vl::GLSLVertexShader:

List of all members.

## Public Member Functions
| GLSLVertexShader (const String &source=String())
| Constructor.
virtual const char * | className ()
| Returns the name of the class.

## Detailed Description

Wraps a GLSL vertex shader to be bound to a GLSL program.

See also:
  GLSLProgram, GLSLFragmentShader, GLSLGeometryShader, Shader, Effect

## Constructor & Destructor Documentation

vl::GLSLVertexShader::GLSLVertexShader | ( | const String & | source = `String()` | ) | `[inline]`

Constructor.

Parameters:

  | source | Vertex shader's source code or path to a text file containing the vertex shader's source code.

## Member Function Documentation

virtual const char* vl::GLSLVertexShader::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::GLSLShader.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/GLSL.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:46 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.